### A free/open-source library for quantitative finance

Public Member Functions
FDDividendEngineShiftScale< Scheme > Class Template Reference
Vanilla option engines

Finite-differences engine for dividend options using shifted dividends. More...

`#include <ql/pricingengines/vanilla/fddividendengine.hpp>`

Inheritance diagram for FDDividendEngineShiftScale< Scheme >:
[legend]

List of all members.

## Public Member Functions

| FDDividendEngineShiftScale (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps=100, Size gridPoints=100, bool timeDependent=false)

## Detailed Description

### template<template< class > class Scheme = CrankNicolson>
class QuantLib::FDDividendEngineShiftScale< Scheme >

Finite-differences engine for dividend options using shifted dividends.

This engine uses the same algorithm that was used in versions 0.3.11 and earlier. It produces results that are different from the Merton-73 engine.

Possible enhancements:
  Review literature to see whether this is described